org.jboss.jca.common.metadata.common

## Class ValidationImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.common.ValidationImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.common.Validation, org.jboss.jca.common.api.metadata.JCAMetadata
  Direct Known Subclasses:
    ValidationImpl

      public class ValidationImpl
      extends java.lang.Object
      implements org.jboss.jca.common.api.metadata.common.Validation

  A ValidationImpl.
  Author:
    Stefano Maestri
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.common.Validation

      `org.jboss.jca.common.api.metadata.common.Validation.Tag`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Boolean` | `backgroundValidation` backgroundValidation
    `protected java.lang.Long` | `backgroundValidationMillis` backgroundValidationMillis
    `protected java.lang.Boolean` | `useFastFail` useFastFail
    `protected java.lang.Boolean` | `validateOnMatch` validateOnMatch

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationImpl(java.lang.Boolean validateOnMatch, java.lang.Boolean backgroundValidation, java.lang.Long backgroundValidationMillis, java.lang.Boolean useFastFail)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.Long` | `getBackgroundValidationMillis()` Get the backgroundValidationMillis.
    `int` | `hashCode()`
    `java.lang.Boolean` | `isBackgroundValidation()` Get the backgroundValidation.
    `java.lang.Boolean` | `isUseFastFail()` Get the useFastFail.
    `java.lang.Boolean` | `isValidateOnMatch()` Get the validateOnMatch.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### validateOnMatch

          protected java.lang.Boolean validateOnMatch

      validateOnMatch

    - #### backgroundValidation

          protected java.lang.Boolean backgroundValidation

      backgroundValidation

    - #### backgroundValidationMillis

          protected java.lang.Long backgroundValidationMillis

      backgroundValidationMillis

    - #### useFastFail

          protected java.lang.Boolean useFastFail

      useFastFail

  - ### Constructor Detail

    - #### ValidationImpl

          public ValidationImpl(java.lang.Boolean validateOnMatch,
                                java.lang.Boolean backgroundValidation,
                                java.lang.Long backgroundValidationMillis,
                                java.lang.Boolean useFastFail)
                         throws org.jboss.jca.common.api.validator.ValidateException

      Constructor
      Parameters:
        `validateOnMatch` - validateOnMatch
        `backgroundValidation` - backgroundValidation
        `backgroundValidationMillis` - backgroundValidationMillis
        `useFastFail` - useFastFail
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - in case of error

  - ### Method Detail

    - #### isValidateOnMatch

          public java.lang.Boolean isValidateOnMatch()

      Get the validateOnMatch.
      Specified by:
        `isValidateOnMatch` in interface `org.jboss.jca.common.api.metadata.common.Validation`
      Returns:
        the validateOnMatch.

    - #### isBackgroundValidation

          public java.lang.Boolean isBackgroundValidation()

      Get the backgroundValidation.
      Specified by:
        `isBackgroundValidation` in interface `org.jboss.jca.common.api.metadata.common.Validation`
      Returns:
        the backgroundValidation.

    - #### getBackgroundValidationMillis

          public java.lang.Long getBackgroundValidationMillis()

      Get the backgroundValidationMillis.
      Specified by:
        `getBackgroundValidationMillis` in interface `org.jboss.jca.common.api.metadata.common.Validation`
      Returns:
        the backgroundValidationMillis.

    - #### isUseFastFail

          public java.lang.Boolean isUseFastFail()

      Get the useFastFail.
      Specified by:
        `isUseFastFail` in interface `org.jboss.jca.common.api.metadata.common.Validation`
      Returns:
        the useFastFail.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)